package com.zipcodewilmington.productmanager;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {
    @Test
    public void testGetprice(){
        //given
        Product salami= new Product(1,2.99,200);
         double expected = 2.99;
         //when
        double actual= salami.getPrice();
        // then
        Assert.assertEquals(expected, actual, 0.01);
    }

    @Test
    public void testGetId(){
        //given
        Product salami= new Product(1,2.99,200);
        double expected = 1;
        //when
        double actual= salami.getId();
        // then
        Assert.assertEquals(expected, actual, 0.01);
    }

    @Test
    public void testGeQuantity(){
        //given
        Product salami= new Product(1,2.99,200);
        double expected = 200;
        //when
        double actual= salami.getQuantity();
        // then
        Assert.assertEquals(expected, actual, 0.01);
    }


    @Test
    public void tesSetprice(){
        //given
        Product salami= new Product(1,2.98,20);
        double price =3.00;
        salami.setPrice(price);

        //when
        double actual= salami.getPrice();
        // then
        Assert.assertEquals(price, actual, 0.01);
    }
    @Test
    public void tesSetid(){
        //given
        Product salami= new Product(1,2.98,20);
        int id =3;
        salami.setId(id);

        //when
        double actual= salami.getId();
        // then
        Assert.assertEquals(id, actual, 0.01);
    }

    @Test
    public void tesSetQuantity(){
        //given
        Product salami= new Product(1,2.98,20);
        double quantity =300.00;
        salami.setQuantity(quantity);

        //when
        double actual= salami.getQuantity();
        // then
        Assert.assertEquals(quantity, actual, 0.01);
    }



}
